Bug 147554 - Update pwlib patches for lib names and symlinks
Summary: Update pwlib patches for lib names and symlinks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pwlib   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-09 07:52 UTC by Peter Robinson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: pwlib-1.10.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 19:56:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated pwlib spec file (8.37 KB, text/plain)
2005-02-09 07:53 UTC, Peter Robinson
no flags Details
Fix the lib names (1.00 KB, patch)
2005-02-09 07:54 UTC, Peter Robinson
no flags Details | Diff
Fix the symlinks (443 bytes, patch)
2005-02-09 07:55 UTC, Peter Robinson
no flags Details | Diff

Description Peter Robinson 2005-02-09 07:52:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b)
Gecko/20050208 Firefox/1.0+

Description of problem:
Update original redhat patches to libpt.so.1.8.3 from
libpt_linux_x86_r.so.1.8.3 and to provide symlinks rather than 3
copies of the same library.

I will attach the updated spec file as well as the two patches.

Version-Release number of selected component (if applicable):
pwlib-1.8.3-1

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql to list files contents. Lists as libpt_linux_x86_r.so.1.8.3
and s forth
2.
3.
    

Expected Results:  Short lib names with symlinks to libpt.1.8.3

Additional info:

Comment 1 Peter Robinson 2005-02-09 07:53:58 UTC
Created attachment 110852 [details]
Updated pwlib spec file

Comment 2 Peter Robinson 2005-02-09 07:54:49 UTC
Created attachment 110853 [details]
Fix the lib names

Comment 3 Peter Robinson 2005-02-09 07:55:31 UTC
Created attachment 110854 [details]
Fix the symlinks

Comment 4 Daniel Veillard 2007-06-20 19:56:24 UTC
I don't see why you would want shorter names.
W.r.t. symlinking that's the case currently:

paphio:~ -> ls -l /usr/lib64/libpt_linux_x86_64_r.so.1*
lrwxrwxrwx 1 root root      30 Apr 15 22:51 /usr/lib64/libpt_linux_x86_64_r.so.1
-> libpt_linux_x86_64_r.so.1.10.7*
lrwxrwxrwx 1 root root      30 Apr 15 22:51
/usr/lib64/libpt_linux_x86_64_r.so.1.10 -> libpt_linux_x86_64_r.so.1.10.7*
-rwxr-xr-x 1 root root 2125648 Apr 15 22:49
/usr/lib64/libpt_linux_x86_64_r.so.1.10.7*
paphio:~ -> rpm -qf /usr/lib64/libpt_linux_x86_64_r.so.1*
pwlib-1.10.7-1
pwlib-1.10.7-1
pwlib-1.10.7-1
paphio:~ -> 

I don't see what shortening the name actually brings. And the real issue
of duplication is fixed in current package,

  thanks,

Daniel


Note You need to log in before you can comment on or make changes to this bug.